=head1 NAME

GStreamer::IndexFactory

=cut

=head1 HIERARCHY

  Glib::Object
  +----GStreamer::Object
       +----GStreamer::PluginFeature
            +----GStreamer::IndexFactory



=cut


=head1 METHODS

=head2 indexfactory = GStreamer::IndexFactory-E<gt>B<new> ($name, $longdesc, $type)

=over

=item * $name (string) 

=item * $longdesc (string) 

=item * $type (string) 

=back

=head2 index = $factory-E<gt>B<create> 

=head2 $factory-E<gt>B<destroy> 

=head2 indexfactory = GStreamer::IndexFactory-E<gt>B<find> ($name)

=over

=item * $name (string) 

=back

=head2 index = GStreamer::IndexFactory-E<gt>B<make> ($name)

=over

=item * $name (string) 

=back



=cut


=head1 SEE ALSO

L<GStreamer>, L<Glib::Object>, L<GStreamer::Object>, L<GStreamer::PluginFeature>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

